#' TeachHist: A Collection of Amended Histograms Designed for Teaching Statistics
#'
#' Statistics students often have problems understanding
#' the relation between a random variable's true scale and its z-values.
#' To allow instructors to better better visualize histograms for these
#' students, the package provides histograms with two horizontal
#' axis containing z-values and the true scale of the variable.
#' The function TeachHistDens() provides a density histogram with two axis.
#' TeachHistCounts() and TeachHistRelFreq() are variations for count and
#' relative frequency histograms, respectively. TeachConfInterv() and
#' TeachHypTest() help instructors to visualize confidence levels
#' and the results of hypothesis tests.
#'
#' @section Functions:
#' \itemize{
#' \item {\link{TeachHistDens} provides a density histogram with two axis. One axis for the data and
#' one for the z-value.}
#' \item{\link{TeachHistCounts} is a variation of TeachHistDens() for
#' count histograms.}
#' \item{\link{TeachHistRelFreq} is a variation of TeachHistDens() for
#' relative frequency histograms.}
#' \item{\link{TeachHistConfInterv} helps to visualize confidence levels}
#' \item{\link{TeachHistHypTest} helps to visualize the results of hypothesis tests.}
#' }
#'
#' @section Author and Maintainer:
#' Carsten Lange (clange@cpp.edu)
#' @docType package
#' @name TeachHist
NULL
#> NULL
